Bug 756421 - Test scenario cannot run if it contains a global whose type is from Declarative model
Test scenario cannot run if it contains a global whose type is from Declarati...
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.2.0.GA,BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity urgent
: ER6
: BRMS 5.3.0.GA
Assigned To: manstis
Sona Mala
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-23 09:15 EST by Jiri Locker
Modified: 2012-06-20 13:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server.log (21.38 KB, text/plain)
2011-11-23 09:15 EST, Jiri Locker
no flags Details

  None (edit)
Description Jiri Locker 2011-11-23 09:15:00 EST
Created attachment 535504 [details]
server.log

Description of problem:
Error message pops up, saying "400 Sorry, a technical error occurred. Please contact a system administrator."
See attached portion of the server log for exception messages and traces.


Version-Release number of selected component (if applicable):
BRMS 5.3.0.DEV5
This is a regression. Although we missed it in 5.2.0, it doesn't affect 5.1.0.


How reproducible:
always


Steps to Reproduce:
1. import sample mortgage repository
2. edit mortgage package configuration:
   add one of the declared types as a global (e.g. global Bankruptcy global)
   save the package configuration
3. open any test scenario and add 'global' to it
   run the scenario, you'll get the error
  

Actual results:


Expected results:


Additional info:
Comment 4 manstis 2012-03-30 09:36:32 EDT
The global doesn't need to be added to the Test Scenario. Simply add a Declared Type as a global and try to run any Test Scenario.
Comment 6 Ryan Zhang 2012-04-23 03:39:18 EDT
Update status to ON_QA. Please verify them against ER6.
Comment 8 Sona Mala 2012-05-15 08:05:28 EDT
After steps, there isn't any Error alert

Note You need to log in before you can comment on or make changes to this bug.